mail/libsrs2 - The NetBSD Packages Collection

Implementation of the Sender Rewriting Scheme for SMTP forwarding

SPF (and related systems) present a challenge to forwarders, since the
envelope sender address might be seen by the destination as a forgery by
the forwarding host. Forwarding services must rewrite the envelope
sender address, while encapsulating the original sender and preventing
relay attacks by spammers.

The Sender Rewriting Scheme, or SRS, provides a standard for this
rewriting which makes forwarding compatible with these address
verification schemes, preserves bounce functionality and is not
vulnerable to attacks by spammers.

Build dependencies

pkgtools/cwrappers devel/libtool-base

Runtime dependencies

(none)

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hflibsrs2-1.0.18.tgz
NetBSD 8.0earmv7hflibsrs2-1.0.18.tgz
NetBSD 8.0earmv7hflibsrs2-1.0.18.tgz
NetBSD 8.0earmv7hflibsrs2-1.0.18.tgz
NetBSD 8.0i386libsrs2-1.0.18.tgz
NetBSD 8.0i386libsrs2-1.0.18.tgz
NetBSD 8.0i386libsrs2-1.0.18.tgz
NetBSD 8.0i386libsrs2-1.0.18.tgz
NetBSD 8.0powerpclibsrs2-1.0.18.tgz
NetBSD 8.0powerpclibsrs2-1.0.18.tgz
NetBSD 8.0powerpclibsrs2-1.0.18.tgz
NetBSD 8.0powerpclibsrs2-1.0.18.tgz
NetBSD 8.0powerpclibsrs2-1.0.18.tgz
NetBSD 8.0x86_64libsrs2-1.0.18.tgz
NetBSD 8.0x86_64libsrs2-1.0.18.tgz
NetBSD 8.0x86_64libsrs2-1.0.18.tgz
NetBSD 8.0x86_64libsrs2-1.0.18.tgz
NetBSD 9.0aarch64libsrs2-1.0.18.tgz
NetBSD 9.0aarch64libsrs2-1.0.18.tgz
NetBSD 9.0aarch64libsrs2-1.0.18.tgz
NetBSD 9.0aarch64libsrs2-1.0.18.tgz
NetBSD 9.0alphalibsrs2-1.0.18.tgz
NetBSD 9.0alphalibsrs2-1.0.18.tgz
NetBSD 9.0earmlibsrs2-1.0.18.tgz
NetBSD 9.0earmlibsrs2-1.0.18.tgz
NetBSD 9.0earmv6hflibsrs2-1.0.18.tgz
NetBSD 9.0earmv6hflibsrs2-1.0.18.tgz
NetBSD 9.0earmv6hflibsrs2-1.0.18.tgz
NetBSD 9.0earmv6hflibsrs2-1.0.18.tgz
NetBSD 9.0earmv6hflibsrs2-1.0.18.tgz
NetBSD 9.0earmv7hflibsrs2-1.0.18.tgz
NetBSD 9.0earmv7hflibsrs2-1.0.18.tgz
NetBSD 9.0earmv7hflibsrs2-1.0.18.tgz
NetBSD 9.0earmv7hflibsrs2-1.0.18.tgz
NetBSD 9.0earmv7hflibsrs2-1.0.18.tgz
NetBSD 9.0earmv7hflibsrs2-1.0.18.tgz
NetBSD 9.0earmv7hflibsrs2-1.0.18.tgz
NetBSD 9.0i386libsrs2-1.0.18.tgz
NetBSD 9.0i386libsrs2-1.0.18.tgz
NetBSD 9.0i386libsrs2-1.0.18.tgz
NetBSD 9.0i386libsrs2-1.0.18.tgz
NetBSD 9.0m68klibsrs2-1.0.18.tgz
NetBSD 9.0m68klibsrs2-1.0.18.tgz
NetBSD 9.0m68klibsrs2-1.0.18.tgz
NetBSD 9.0mips64eblibsrs2-1.0.18.tgz
NetBSD 9.0mips64eblibsrs2-1.0.18.tgz
NetBSD 9.0mips64eblibsrs2-1.0.18.tgz
NetBSD 9.0mips64eblibsrs2-1.0.18.tgz
NetBSD 9.0mipsellibsrs2-1.0.18.tgz
NetBSD 9.0mipsellibsrs2-1.0.18.tgz
NetBSD 9.0mipsellibsrs2-1.0.18.tgz
NetBSD 9.0powerpclibsrs2-1.0.18.tgz
NetBSD 9.0powerpclibsrs2-1.0.18.tgz
NetBSD 9.0powerpclibsrs2-1.0.18.tgz
NetBSD 9.0powerpclibsrs2-1.0.18.tgz
NetBSD 9.0powerpclibsrs2-1.0.18.tgz
NetBSD 9.0sh3ellibsrs2-1.0.18.tgz
NetBSD 9.0sh3ellibsrs2-1.0.18.tgz
NetBSD 9.0sh3ellibsrs2-1.0.18.tgz
NetBSD 9.0sh3ellibsrs2-1.0.18.tgz
NetBSD 9.0sparc64libsrs2-1.0.18.tgz
NetBSD 9.0sparc64libsrs2-1.0.18.tgz
NetBSD 9.0sparclibsrs2-1.0.18.tgz
NetBSD 9.0sparclibsrs2-1.0.18.tgz
NetBSD 9.0sparclibsrs2-1.0.18.tgz
NetBSD 9.0sparclibsrs2-1.0.18.tgz
NetBSD 9.0vaxlibsrs2-1.0.18.tgz
NetBSD 9.0vaxlibsrs2-1.0.18.tgz
NetBSD 9.0vaxlibsrs2-1.0.18.tgz
NetBSD 9.0x86_64libsrs2-1.0.18.tgz
NetBSD 9.0x86_64libsrs2-1.0.18.tgz
NetBSD 9.0x86_64libsrs2-1.0.18.tgz
NetBSD 9.0x86_64libsrs2-1.0.18.tgz
NetBSD 9.0x86_64libsrs2-1.0.18.tgz
NetBSD 9.0x86_64libsrs2-1.0.18.tgz
NetBSD 9.0x86_64libsrs2-1.0.18.tgz
NetBSD 9.0x86_64libsrs2-1.0.18.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.